'use strict';

const cac = require('cac');
const kolorist = require('kolorist');
const index = require('./index.cjs');
require('node:assert');
require('node:fs');
require('dotenv');
require('dotenv-expand');
require('node:readline');
require('cli-table3');
require('nanospinner');
require('wyt');
require('node:child_process');
require('node:util');

function _interopDefaultLegacy (e) { return e && typeof e === 'object' && 'default' in e ? e["default"] : e; }

const cac__default = /*#__PURE__*/_interopDefaultLegacy(cac);

const version = "0.2.0";

const cli = cac__default("vercel-env-push");
cli.version(version).help((sections) => {
  sections.splice(3, 0, {
    body: "Environments: development - preview - production"
  });
});
cli.command("<file> <env> [...otherEnvs]").option("--dry, --dry-run", "List environment variables without pushing them").option("-t, --token <token>", "Login token to use for pushing environment variables").action(async (file, env, otherEnvs, options) => {
  await index.pushEnvVars(file, [env, ...otherEnvs], { ...options, interactive: true });
});
async function run() {
  try {
    cli.parse(process.argv, { run: false });
    await cli.runMatchedCommand();
  } catch (error) {
    const isError = error instanceof Error;
    console.error(kolorist.red(`Something went wrong: ${isError ? error.message : error}`));
    if (isError && error.cause) {
      console.error(error.cause);
    }
    process.exit(1);
  }
}
run();
